import java.io.IOException;

import javax.servlet.*;
import javax.servlet.http.*;

public class TestServlet extends HttpServlet {
    private final static String DEFAULT_FORWARD = "/index.html";

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String disp = getInitParameter("forward");
        if (disp == null) {
            disp = DEFAULT_FORWARD;
        }
        RequestDispatcher dispatch = req.getRequestDispatcher(disp);
        dispatch.forward(req, resp);
    }
}