<%@ page import="jp.jasminesoft.jfc.IActionParameter,
                 jp.jasminesoft.jfc.CssPropertyManager,
            java.io.File,
            java.util.*,
            java.util.regex.Pattern,
            java.lang.management.*,
            java.lang.reflect.*,
            java.net.*,
            org.apache.commons.lang3.StringUtils"
         pageEncoding="UTF-8" errorPage="system/error.jsp" %>
<%@ taglib prefix="tiles2" uri="http://tiles.apache.org/tags-tiles" %>
<fmt:setLocale value="${sessionScope.__jfc_locale}" scope="request"/>
<fmt:setBundle basename="jfcapp"/>
<jfc:checkLogon/>
<!DOCTYPE html>
<html>
<tiles2:insertAttribute name="beandef"/>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="icon" href="favicon.ico">
<link rel="apple-touch-icon" href="img/wagby-touch-icon.png">
<link rel="stylesheet" type="text/css" href="css/normalize.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dijit/themes/<c:out value='${sessionScope.__jfc_cssfilename}'/>/<c:out value='${sessionScope.__jfc_cssfilename}'/>.css">
<link rel="stylesheet" type="text/css" href="css/common.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/<c:out value='${sessionScope.__jfc_fontsizefilename}'/>.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/image/resources/LightboxNano.css">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/widget/Portlet/Portlet.css">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/layout/resources/GridContainer.css">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/calendar/themes/<c:out value='${sessionScope.__jfc_cssfilename}'/>/Calendar.css">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/form/resources/UploaderFileList.css">
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojox/widget/Toaster/Toaster.css" />
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dgrid/css/dgrid.css" />
<link rel="stylesheet" type="text/css" href="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dgrid/css/skins/<c:out value='${sessionScope.__jfc_cssfilename}'/>.css" />
<link rel="stylesheet" type="text/css" href="css/calendarview.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/joint.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/jquery.orgchart.min.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/print.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>" media="print"/>
<link rel="stylesheet" type="text/css" href="css/<c:out value='${sessionScope.__jfc_cssfilename}'/>.css?<c:out value='${applicationScope.__jfc_releaseTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/mycommon.css?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>">
<link rel="stylesheet" type="text/css" href="css/all.min.css?${applicationScope.__wd_releaseTimestamp}">
<style type="text/css">
<!--
${__jfc_csscontent}
-->
<c:if test="${sessionScope.__jfc_submenu_displayArea == 'side'}">
html, body {
  height: 100%;
  overflow: hidden;
}
</c:if>
</style>
<tiles2:insertAttribute name="stylesheet"/>
<tiles2:insertAttribute name="title"/>
<script type="text/javascript" src="system/jquery.min.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<c:if test="${__jfc_screen_id == 'myShowJfcworkflowSetting' ||
              __jfc_screen_id == 'myInsertJfcworkflowSetting' ||
              __jfc_screen_id == 'myCopyJfcworkflowSetting' ||
              __jfc_screen_id == 'myUpdateJfcworkflowSetting'}">
<script type="text/javascript" src="system/lodash.min.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript" src="system/backbone-min.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript" src="system/joint.min.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript" src="system/joint.shapes.jfcwf.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>"></script>
</c:if>
<script type="text/javascript" src="system/jquery.orgchart.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript" src="system/Chart.min.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript" src="<fmt:message key='__jfc_common.dojo_webpage_dir'/>/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, paths:{'apphome':'../..'}"></script>
<script type="text/javascript" src="system/common.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
</head>
<c:choose>
  <c:when test="${sessionScope.__jfc_submenu_displayArea == 'top'}">
<body class="<c:out value='${sessionScope.__jfc_cssfilename}'/>" style="padding: 5px;">
  <div id="centerarea" style="visibility: hidden;">
    <div style="display: table;margin-bottom: 5px; width: 100%;">
      <div id="jfcMenuarea" class="menuarea" style="display: table-cell;">
      <c:if test="${sessionScope.__jfc_submenu_mode == true}">
        <tiles2:insertAttribute name="submenu"/>
      </c:if>
      <c:if test="${sessionScope.__jfc_pankuzu_mode == true}">
        <tiles2:insertAttribute name="pankuzu"/>
      </c:if>
      </div>
      <div style="display: table-cell; width: 5px;"></div>
      <c:if test="${sessionScope.__jfc_submenu_mode == true || sessionScope.__jfc_pankuzu_mode == true}">
      <div id="appnameinfo" style="display: table-cell; width: 18%;<c:if test="${sessionScope.__jfc_globallink_menuicon == true}"> cursor: pointer;" onClick="goPage('mainMenu.do');</c:if>">
        <fmt:message key='__jfc_common.webappname'/>
      </div>
      </c:if>
    </div>
    <div class="pagetitleContainer">
  </c:when>
  <c:otherwise>
<body class="<c:out value='${sessionScope.__jfc_cssfilename}'/>">
<div id="dojolayout" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="gutters: true, liveSplitters: true, persist: true" style="width: 100%; height: 100%;">
  <c:if test="${sessionScope.__jfc_submenu_mode}">
  <div id="jfcLeadingarea" data-dojo-type="dijit/layout/AccordionContainer" data-dojo-props="region:'leading', splitter: true, persist: true" style="box-shadow: 1px 1px 2px #000; border-radius: 5px; display: none;">
    <div data-dojo-type="dijit/layout/AccordionPane" title="">
      <div id="appnameinfo"<c:if test="${sessionScope.__jfc_globallink_menuicon == true}"> style="cursor: pointer;" onClick="goPage('mainMenu.do');"</c:if>>
        <fmt:message key='__jfc_common.webappname'/>
      </div>
      <div id="jfcSubmenuTreeArea"></div>
    </div>
  </div>
  </c:if>
  <div id="centerarea" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'center'" style="box-shadow: 1px 1px 2px #000; border-radius: 5px; visibility: hidden;">
    <div class="menuarea">
      <c:if test="${sessionScope.__jfc_pankuzu_mode == true}">
        <tiles2:insertAttribute name="pankuzu"/>
      </c:if>
    </div>
    <div class="pagetitleContainer">
      <c:if test="${sessionScope.__jfc_pankuzu_mode == true || sessionScope.__jfc_submenu_mode == true}">
        <button id="jfcBtnMenu" class="jfcBtnMenu" data-dojo-type="dijit/form/Button" data-dojo-props="iconClass: 'jfcIconMenu', showLabel: false"></button>
      </c:if>
  </c:otherwise>
</c:choose>
      <tiles2:insertAttribute name="pagetitle"/>
<%
    Map<String, Map<String,String>> nwMap = new TreeMap<String, Map<String,String>>();
    try {
      Class clazz = NetworkInterface.class;
      Enumeration<NetworkInterface> nic = NetworkInterface.getNetworkInterfaces();
      for (; nic.hasMoreElements();) {
        NetworkInterface n = nic.nextElement();

        Method method = clazz.getMethod("isLoopback");
        Object result = method.invoke(n, null);
        boolean isLoopback = Boolean.valueOf((Boolean)result);
        //boolean isLoopback = n.isLoopback();

        method = clazz.getMethod("isVirtual");
        result = method.invoke(n, null);
        boolean isVirtual = Boolean.valueOf((Boolean)result);
        //boolean isVirtual = n.isVirtual();

        method = clazz.getMethod("isUp");
        result = method.invoke(n, null);
        boolean isUp = Boolean.valueOf((Boolean)result);
        //boolean isUp = n.isUp();

        if (!isUp || isVirtual || isLoopback) {
          continue;
        }

        Enumeration<InetAddress> ipAddrs = n.getInetAddresses();
        while (ipAddrs.hasMoreElements()) {
          InetAddress in = ipAddrs.nextElement();
          String hostname = in.getHostName();
          Map map = nwMap.get(hostname);
          if (map == null) {
            map = new HashMap<String,String>();
            nwMap.put(hostname, map);
          }
          if (in instanceof Inet4Address) {
            Inet4Address in4 = (Inet4Address)in; 
            String in4adrs = in4.getHostAddress();
            if (in4adrs != null && !in4adrs.equals(hostname)) {
              map.put("v4", in4adrs);
            }
          } else if (in instanceof Inet6Address) {
            Inet6Address in6 = (Inet6Address)in; 
            String in6adrs = in6.getHostAddress();
            if (in6adrs != null && !in6adrs.equals(hostname)) {
              map.put("v6", in6adrs);
            }
          }
        }
      }
    } catch (Exception e) {
    }
    for (String hostname : nwMap.keySet()) {
      Map<String,String> adrsMap = nwMap.get(hostname);
      String adrsinfo = null;
      if (adrsMap.size() > 0) {
        adrsinfo = adrsMap.values().toString();
      }
      final String BGCOLOR_KEY = "base_classic2_ip_bgcolor";
      String bgcolor = (String) application.getAttribute(BGCOLOR_KEY);
      if (bgcolor == null) {
        bgcolor = "rgb("
          + (int)(Math.random() * 128 + 64) + ","
          + (int)(Math.random() * 128 + 64) + ","
          + (int)(Math.random() * 128 + 64) + ")";
        application.setAttribute(BGCOLOR_KEY, bgcolor);
      }
%>
<div style="background-color:<%= bgcolor %>"><%= hostname %> <% if (adrsinfo != null) { %><%= adrsMap.values() %><% } %></div>
<%
    }
%>
      <c:if test="${sessionScope.__jfc_hide_globallink == null}">
      <tiles2:insertAttribute name="globallink"/>
      </c:if>
    </div>
    <tiles2:insertAttribute name="description"/>
    <div style="text-align: center">
      <tiles2:insertAttribute name="errormsg"/>
      <div data-dojo-type="dojox/widget/Toaster" data-dojo-props="positionDirection:'br-left'" data-dojo-id="jfcMessageToaster"></div>
      <tiles2:insertAttribute name="navigationbar"/>
      <tiles2:insertAttribute name="body"/>
    </div>
  </div>
  <tiles2:insertAttribute name="endbody"/>
<c:if test="${sessionScope.__jfc_submenu_displayArea == 'side'}">
</div>
</c:if>
<tiles2:insertAttribute name="javascript"/>
<script type="text/javascript" src="system/ace/ace.js?${applicationScope.__wd_releaseTimestamp}" charset="utf-8"></script>
<script type="text/javascript" src="system/keyEventHandlers.js?<c:out value='${applicationScope.__jfc_buildTimestamp}'/>" charset="UTF-8"></script>
<script type="text/javascript">
require([
  "dojo/_base/event",
  "dojo/keys",
  "dojo/on",
  "dojo/parser",
  "dojo/i18n", 
  "dojo/query",
  "dojo/dom",
  "dojo/dom-class",
  "dojo/dom-construct",
  "dojo/dom-style",
  "dojo/fx",
  "dijit/registry",
  "dojo/request",
  "dojo/ready"
], function(baseEvent, keys, on, parser, i18n, query, dom, domClass, domConstruct, domStyle, fx, registry, request, ready) {
  window.browser_locale = "<c:out value='${sessionScope.__jfc_browserLocale}'/>";
  window.res = i18n.getLocalization("apphome", "common", browser_locale);
  parser.parse();
  ready(function() {
    var centerarea = dom.byId("centerarea");
    if (centerarea) {
      domStyle.set(centerarea, "visibility", "visible");
    }
    for (i in Initializer.initList) {
      (Initializer.initList[i])();
    }
    for (i in Initializer.finList) {
      (Initializer.finList[i])();
    }
    setJfcBtnMenuEvent(dom, domStyle, fx, registry);
    showSubmenuTree();
    setJfcKeyEventHandler(baseEvent, keys, on, dom, registry, query);
    setAvatarImage(dom, domClass, domConstruct, registry, request);
  });
});
</script>
</body>
</html>
